|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QGenericArgument Class Reference
[QtCore module]

The QGenericArgument class is an internal helper class for marshalling arguments. More...

     #include <QGenericArgument>

Inherited by QGenericReturnArgument.

- List of all members, including inherited members

### Public Functions

- QGenericArgument ( const char * name = 0, const void * data = 0 )
- void * data () const
- const char * name () const

## Detailed Description

The QGenericArgument class is an internal helper class for marshalling arguments.

This class should never be used directly. Please use the Q_ARG() macro instead.

See also Q_ARG(), QMetaObject::invokeMethod(), and QGenericReturnArgument.

## Member Function Documentation

### QGenericArgument::QGenericArgument ( const char * name = 0, const void * data = 0 )

Constructs a QGenericArgument object with the given name and data.

### void * QGenericArgument::data () const

Returns the data set in the constructor.

### const char * QGenericArgument::name () const

Returns the name set in the constructor.